Last Comment Bug 344694 - Conflict of linkage-specification for "MimeExternalObjectClass mimeExternalObjectClass"
: Conflict of linkage-specification for "MimeExternalObjectClass mimeExternalOb...
Status: RESOLVED FIXED
: fixed1.8.0.7, fixed1.8.1
Product: MailNews Core
Classification: Components
Component: MIME (show other bugs)
: Trunk
: All All
: -- minor (vote)
: ---
Assigned To: Caio Tiago Oliveira (asrail)
:
Mentors:
http://lxr.mozilla.org/seamonkey/sour...
: 345134 345152 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-14 10:10 PDT by Caio Tiago Oliveira (asrail)
Modified: 2008-07-31 04:30 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Adds an explicit linkage to "MimeExternalObjectClass mimeExternalObjectClass" (623 bytes, patch)
2006-07-14 10:17 PDT, Caio Tiago Oliveira (asrail)
mozilla: review+
Details | Diff | Splinter Review
patch (770 bytes, patch)
2006-07-18 20:58 PDT, Christian :Biesinger (don't email me, ping me on IRC)
mozilla: review+
mozilla: superreview+
Details | Diff | Splinter Review
1.8 branch version (775 bytes, patch)
2006-07-18 21:27 PDT, Christian :Biesinger (don't email me, ping me on IRC)
dveditz: approval1.8.0.7+
dbaron: approval1.8.1+
Details | Diff | Splinter Review

Description Caio Tiago Oliveira (asrail) 2006-07-14 10:10:29 PDT
According with section 7.5 of http://www.open-std.org/jtc1/sc22/wg21/docs/wp/html/oct97/dcl.html a explicit linkage specification should be declared before an implicit.

GCC 4.2 will break the code which doesn't conform to it.

So, it's lacking an explicit declaration of "MimeExternalObjectClass mimeExternalObjectClass" in mimeeobj.h.
Comment 1 Caio Tiago Oliveira (asrail) 2006-07-14 10:17:48 PDT
Created attachment 229263 [details] [diff] [review]
Adds an explicit linkage to "MimeExternalObjectClass mimeExternalObjectClass"
Comment 2 David :Bienvenu 2006-07-14 13:33:01 PDT
Comment on attachment 229263 [details] [diff] [review]
Adds an explicit linkage to "MimeExternalObjectClass mimeExternalObjectClass"

let me give this a try.
Comment 3 David :Bienvenu 2006-07-14 13:43:11 PDT
fixed on trunk, thx for the patch. We won't need this for the 1.8.1 branch, will we?
Comment 4 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-14 15:42:36 PDT
Comment on attachment 229263 [details] [diff] [review]
Adds an explicit linkage to "MimeExternalObjectClass mimeExternalObjectClass"

why not just:
extern "C"  MimeExternalObjectClass mimeExternalObjectClass;
Comment 5 Caio Tiago Oliveira (asrail) 2006-07-14 16:37:02 PDT
(In reply to comment #4)
> (From update of attachment 229263 [details] [diff] [review] [edit])
> why not just:
> extern "C"  MimeExternalObjectClass mimeExternalObjectClass;
> 

Nothing against it...
Comment 6 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-18 20:49:18 PDT
*** Bug 345134 has been marked as a duplicate of this bug. ***
Comment 7 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-18 20:58:49 PDT
Created attachment 229772 [details] [diff] [review]
patch

The single-line syntax is also used at http://lxr.mozilla.org/seamonkey/source/mailnews/mime/src/mimemult.cpp#72, so I think this should be changed for consistency.

I actually think this'd be good for the branch... being able to use up-to-date compilers is kind of nice
Comment 8 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-18 21:27:18 PDT
Created attachment 229777 [details] [diff] [review]
1.8 branch version

same as the "patch" attachment above, but against branch
Comment 9 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-18 21:27:49 PDT
This should be a safe change, as it affects compilation only; no runtime impact.
Comment 10 Wolfgang Rosenauer [:wolfiR] 2006-07-18 22:32:19 PDT
*** Bug 345152 has been marked as a duplicate of this bug. ***
Comment 11 Wolfgang Rosenauer [:wolfiR] 2006-07-18 22:34:11 PDT
Comment on attachment 229777 [details] [diff] [review]
1.8 branch version

we should have the same on 1.8.0.6 as it breaks build with new gcc
Comment 12 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2006-07-19 14:30:04 PDT
Comment on attachment 229777 [details] [diff] [review]
1.8 branch version

a=dbaron on behalf of drivers.  Please check in to the MOZILLA_1_8_BRANCH and mark fixed1.8.1 when you have.
Comment 13 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-19 18:24:21 PDT
Comment on attachment 229772 [details] [diff] [review]
patch

Checking in mailnews/mime/src/mimeeobj.h;
/cvsroot/mozilla/mailnews/mime/src/mimeeobj.h,v  <--  mimeeobj.h
new revision: 1.6; previous revision: 1.5
done
Comment 14 Christian :Biesinger (don't email me, ping me on IRC) 2006-07-19 18:29:19 PDT
MOZILLA_1_8_BRANCH:

Checking in mailnews/mime/src/mimeeobj.h;
/cvsroot/mozilla/mailnews/mime/src/mimeeobj.h,v  <--  mimeeobj.h
new revision: 1.4.28.1; previous revision: 1.4
done
Comment 15 Daniel Veditz [:dveditz] 2006-08-15 15:08:15 PDT
Comment on attachment 229777 [details] [diff] [review]
1.8 branch version

approved for 1.8.0 branch, a=dveditz for drivers
Comment 16 Wolfgang Rosenauer [:wolfiR] 2006-08-15 22:34:36 PDT
checked in to MOZILLA_1_8_0_BRANCH

Note You need to log in before you can comment on or make changes to this bug.